unit uMain_TPS_ChunkUploader;

interface

uses
  System.SysUtils, System.Classes,

  // myUnits
  uVisualFrame_TPS_ChunkUploader;


type
  TPS_ChunkUploader = class(TComponent)
  private
    { Private declarations }




    FVisualFrame_TPS_ChunkUploader:TVisualFrame_TPS_ChunkUploader;


  protected
    { Protected declarations }
  public
    { Public declarations }

    constructor Create(AOwner: TComponent); override;

    property VisualFrame_TPS_ChunkUploader:TVisualFrame_TPS_ChunkUploader
    read FVisualFrame_TPS_ChunkUploader write FVisualFrame_TPS_ChunkUploader;

  published
    { Published declarations }
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Samples', [TPS_ChunkUploader]);
end;

{ TPS_ChunkUploader }

constructor TPS_ChunkUploader.Create(AOwner: TComponent);
begin
  inherited;

  FVisualFrame_TPS_ChunkUploader:=TVisualFrame_TPS_ChunkUploader.Create(Self);

end;

end.
